# Hurricane VLSI Database

List of all members
Hurricane::Contact::AnchorHook Class Reference
Inheritance diagram for Hurricane::Contact::AnchorHook:
[legend]

## Additional Inherited Members
Public Member Functions inherited from Hurricane::Hook
Hook * | getNextHook () const
Hook * | getPreviousHook () const
Hook * | getMasterHook () const
Hook * | getNextMasterHook () const
Hook * | getPreviousMasterHook () const
Hooks | getHooks () const
Hooks | getSlaveHooks () const
bool | isAttached () const
Hook * | detach ()
Hook * | attach (Hook *hook)
Hook * | merge (Hook *hook)

## Detailed Description

With contacts, a new type of Hook appears : the AnchorHook, which allows to attach a contact upon an other component, on which it is said to be "anchored". It becomes then a "relative contact" with respect of the coordinates of this component. The AnchorHook is always a slave hook.

Remark: A contact has two attributes `<Dx>` and `<Dy>` which
  represent the relative coordinates of the contact with respect to the coordinates of the component on which it is anchored (through this AnchorHook). When it is not anchored, those coordinates becomes relative to the origin of the cell, which means they are absolute.

The documentation for this class was generated from the following file:

- Contact.h

Generated by doxygen 1.8.14 on Sun Mar 8 2020 | Return to top of page

Hurricane VLSI Database | Copyright © 2000-2016 Bull S.A. All rights reserved